Get NHL play-by-play

GET/v1/nhl/games/{game_id}/play-by-play

Every shot, goal, hit, faceoff, penalty, and giveaway with X/Y coordinates, strength state, and players on ice.

Code samples

# Get live scores across every league
curl "https://api.sportapi.io/v1/nba/scores/live" \
  -H "Authorization: Bearer $API_KEY"

# Response
{
  "games": [{
    "game_id": "0022500412",
    "status": "in_progress",
    "period": 3, "clock": "07:42",
    "home": { "team": "BOS", "score": 78 },
    "away": { "team": "LAL", "score": 71 },
    "last_play": "J. Tatum makes 3-pt jumper from 25 ft"
  }]
}

Query parameters

ParameterTypeRequiredDescription
game_idstringYesNHL game ID

Response

{
  "events": [{
    "type": "goal", "team": "EDM",
    "period": 3, "clock": "14:02",
    "scorer": "mcdavid-connor", "assist1": "draisaitl-leon",
    "coord": { "x": 79, "y": 12 },
    "strength": "5v5"
  }]
}

Error responses

StatusCodeDescription
401unauthorizedMissing or invalid API key
403tier_insufficientYour plan tier doesn't include this resource
429rate_limitedExceeded rate limit; honor Retry-After
500internal_errorServer error; retry with exponential backoff